API ReferenceapimessagingGET /v1/messaging/segments

GET /v1/messaging/segments

Service: messaging · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) required
  • status (string) —

Responses

200 List segments

{
  "type": "object",
  "properties": {
    "items": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": [
              "string",
              "null"
            ]
          },
          "predicate": {
            "type": "object",
            "additionalProperties": {}
          },
          "status": {
            "type": "string"
          },
          "created_by": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "brand_id",
          "name",
          "description",
          "predicate",
          "status",
          "created_by",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "items"
  ]
}

500 Server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://messaging.platform.loop.health/v1/messaging/segments \
  -H "Authorization: Bearer $ACCESS_TOKEN"